@echo off
cls
echo.
echo.

if not exist %1\nul goto not_there
if "%1"=="" goto no_dir

echo                   	   Caesar II Video Installation
echo                      copyright (c) Impressions 1995   
echo.
echo.
echo This program will copy the animation files from the Caesar II 
echo CD-ROM to your hard drive. You will need to have an additonal  
echo 17 Megabytes of free hard drive space. You should only do this if the 
echo animations appear to be running slowly from your CD-Rom.
echo.
echo.
echo To cancel this process Press [Ctrl] C or
                                PAUSE


echo Copying Animations files to your hard drive...
echo.

echo Adding New Files...
echo.
cd\smk
copy *.smk %1
cd..
goto end

:not_there
echo That directory doesn't exist. Did you remember to include the drive 
echo letter of your hard drive (Default C)? Full instructions follow.
echo.

:no_dir
echo   To install the video files to your hard drive, please do the following: 
echo. 
echo 1 Make sure you are at the CD-ROM DRIVE containing the Caesar II 
echo   CD-ROM.
echo.
echo.
echo 2 Type COPYVIDS {PATHNAME} {ENTER} where {PATHNAME} means the full pathname 
echo   of the directory on your hard drive into which you installed Caesar II. 
echo   So, if you chose the default directory on your C drive, you
echo   now need to type:
echo              COPYVIDS C:\CAESAR2  and then press {ENTER}
goto end

:end
echo.

